Package org.eclipse.rdf4j.query.algebra.geosparql

## Class GeoSPARQLManifestTest

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest
  - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryComplianceTest
    - - org.eclipse.rdf4j.query.algebra.geosparql.GeoSPARQLManifestTest

-     public abstract class GeoSPARQLManifestTest
      extends SPARQLQueryComplianceTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryComplianceTest

      `SPARQLQueryComplianceTest.SPARQLQueryTestManifest`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeoSPARQLManifestTest​(String displayName, String testURI, String name, String queryFileURL, String resultFileURL, Dataset dataset, boolean ordered)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Collection<Object[]>` | `data()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryComplianceTest

      `getDataRepository, newRepository, runTest, setUp, tearDown`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest

      `addIgnoredTest, compareGraphs, getDisplayName, getIgnoredTests, getName, getTestURI, includeSubManifest, printBindingSet, setIgnoredTests, test, upload, uploadDataset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoSPARQLManifestTest

          public GeoSPARQLManifestTest​(String displayName,
                                       String testURI,
                                       String name,
                                       String queryFileURL,
                                       String resultFileURL,
                                       Dataset dataset,
                                       boolean ordered)

  - ### Method Detail

    - #### data

          public static Collection<Object[]> data()